package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.Project;
import cn.wise.sc.cement.business.model.vo.ProjectVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-08-07
 */
public interface ProjectMapper extends BaseMapper<Project> {

	IPage<ProjectVo> getPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	List<ProjectVo> getList();

	List<ProjectVo> getProjectList(Integer clientId);

	ProjectVo getByName(String name);

	List<Map<String, Object>> exportList(@Param("params") Map<String, Object> params);

}
